SystemOrganization addCategory: #ProyectoFinalTest!
SystemOrganization addCategory: #'ProyectoFinalTest-Ordenes1'!
SystemOrganization addCategory: #'ProyectoFinalTest-Ordenes2'!
SystemOrganization addCategory: #'ProyectoFinalTest-Ordenes3'!
SystemOrganization addCategory: #'ProyectoFinalTest-Ordenes4'!

Object subclass: #FabricaEmisores
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:26'!
EM1
	| em1 |
	em1 := Issuer
		name: 'Betiana'
		lastName: 'Rocha'
		DNI: '24356890'
		CUIT: '30-24356890-0'
		address: 'Alsina 125'.
	^ em1! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:27'!
EM10
	| em10 |
	em10 := Issuer
		name: 'Vanesa'
		lastName: 'Colinos'
		DNI: '20198735'
		CUIT: '30-20198735-9'
		address: 'Ruta 2 Km 11'.
	^ em10! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:28'!
EM11
	| em11 |
	em11 := Issuer
		name: 'Arnaldo'
		lastName: 'Jimenez'
		DNI: '25698452'
		CUIT: '30-25698452-8'
		address: 'Costanera 120'.
	^ em11! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:28'!
EM12
	| em12 |
	em12 := Issuer
		name: 'Alejandra'
		lastName: 'Rodriguez'
		DNI: '14742569'
		CUIT: '30-14742569-3'
		address: 'Grecia 125'.
	^ em12! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 14:19'!
EM13
	| em13 |
	em13 := Issuer
		name: 'Ernesto'
		lastName: 'Gilera'
		DNI: '13587258'
		CUIT: '30-13587258-6'
		address: 'Moldavia 5879'.
	^ em13! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:29'!
EM2
	| em2 |
	em2 := Issuer
		name: 'Cristian'
		lastName: 'Cemero'
		DNI: '23587458'
		CUIT: '30-23587458-6'
		address: 'Santa Fe 4587'.
	^ em2! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:29'!
EM3
	| em3 |
	em3 := Issuer
		name: 'Laura'
		lastName: 'Pozzi'
		DNI: '23698547'
		CUIT: '30-23698547-4'
		address: 'Libertador 2359'.
	^ em3! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:29'!
EM4
	| em4 |
	em4 := Issuer
		name: 'Juan Jos'
		lastName: 'Lopez'
		DNI: '19587235'
		CUIT: '30-19587235-3'
		address: 'Avenida 7 568'.
	^ em4! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:30'!
EM5
	| em5 |
	em5 := Issuer
		name: 'Cintia'
		lastName: 'Castaa'
		DNI: '18578214'
		CUIT: '30-18578214-3'
		address: 'Calle 46 1254'.
	^ em5! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:32'!
EM6
	| em6 |
	em6 := Issuer
		name: 'Daniel'
		lastName: 'Gonzales'
		DNI: '17587402'
		CUIT: '30-17587402-3'
		address: 'Montevideo 1586'.
	^ em6! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:33'!
EM7
	| em7 |
	em7 := Issuer
		name: 'Ral'
		lastName: 'Saporiti'
		DNI: '29875421'
		CUIT: '30-29875421-2'
		address: 'Calle 19 258'.
	^ em7! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:34'!
EM8
	| em8 |
	em8 := Issuer
		name: 'Anselmo'
		lastName: 'Bartoloti'
		DNI: '30254139'
		CUIT: '30-30254139-5'
		address: 'Belgrano 1202'.
	^ em8! !

!FabricaEmisores methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/16/2012 20:34'!
EM9
	| em9 |
	em9 := Issuer
		name: 'Mara Jos'
		lastName: 'Molinos'
		DNI: '25789143'
		CUIT: '30-25789143-5'
		address: 'Centenario 254'.
	^ em9! !

Object subclass: #FabricaOrdenesD1
	instanceVariableNames: 'fabricaEmisores'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes1'!

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 20:38'!
OC1
	| orden |
	orden := PurchaseOrder
		bid: 1
		price: 25
		date: (Date year: 2012 month: 1 day: 1)
		issuer: fabricaEmisores EM1
		receivingAddress: 'Puerto Madero'
		shippingMethod: 'Barco'.
		^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OC2
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 60
		date: (Date year: 2012 month: 1 day: 2)
		issuer: fabricaEmisores EM2
		receivingAddress: 'Aeroparque'
		shippingMethod: 'Avin'.
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OC3
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 7)
		issuer: fabricaEmisores EM3
		receivingAddress: 'Isla Paulino Muelle 56'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OC4
	| orden |
	orden := PurchaseOrder
		bid: 3
		price: 90
		date: (Date year: 2012 month: 1 day: 8)
		issuer: fabricaEmisores EM4
		receivingAddress: 'Huergo 1254'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OC5
	| orden |
	orden := PurchaseOrder
		bid: 4
		price: 160
		date: (Date year: 2012 month: 1 day: 9)
		issuer: fabricaEmisores EM5
		receivingAddress: 'Montevideo 587'
		shippingMethod: 'Camin'.
		
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OC6
	| orden |
	orden := PurchaseOrder
		bid: 10
		price: 200
		date: (Date year: 2012 month: 1 day: 3)
		issuer: fabricaEmisores EM6
		receivingAddress: 'Libertador 145'
		shippingMethod: 'Camin'.
		
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:10'!
OV1
	| orden |
	orden := SalesOrder
		ask: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 4)
		issuer: fabricaEmisores EM7
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 2 day: 1).
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 20:39'!
OV2
	| orden |
	orden := SalesOrder
		ask: 1
		price: 25
		date: (Date year: 2012 month: 1 day: 11)
		issuer: fabricaEmisores EM8
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 3).
		.
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:11'!
OV3
	| orden |
	orden := SalesOrder
		ask: 3
		price: 75
		date: (Date year: 2012 month: 1 day: 12)
		issuer: fabricaEmisores EM9
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 2 day: 5).
		^orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:11'!
OV4
	| orden |
	orden := SalesOrder
		ask: 3
		price: 180
		date: (Date year: 2012 month: 1 day: 10)
		issuer: fabricaEmisores EM10
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 9).
		
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 20:40'!
OV5
	| orden |
	orden := SalesOrder
		ask: 1
		price: 60
		date: (Date year: 2012 month: 1 day: 5)
		issuer: fabricaEmisores EM11
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 23).
		^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:11'!
OV6
	| orden |
	orden := SalesOrder
		ask: 2
		price: 80
		date: (Date year: 2012 month: 1 day: 6)
		issuer: fabricaEmisores EM12
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 5 day: 14).
		
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:11'!
OV7
	| orden |
	orden := SalesOrder
		ask: 2
		price: 60
		date: (Date year: 2012 month: 1 day: 13)
		issuer: fabricaEmisores EM13
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 2).
		.
	^ orden! !

!FabricaOrdenesD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 13:59'!
initialize 
	fabricaEmisores := FabricaEmisores new! !

Object subclass: #FabricaOrdenesD2
	instanceVariableNames: 'fabricaEmisores'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes2'!

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:03'!
OC1
	| orden |
	orden := PurchaseOrder
		bid: 1
		price: 25
		date: (Date year: 2012 month: 1 day: 1)
		issuer: fabricaEmisores EM1
		receivingAddress: 'Puerto Madero'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:12'!
OC2
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 90
		date: (Date year: 2012 month: 1 day: 2)
		issuer: fabricaEmisores EM1
		receivingAddress: 'Aeroparque'
		shippingMethod: 'Avin'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:12'!
OC3
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 7)
		issuer: fabricaEmisores EM3
		receivingAddress: 'Isla Paulino Muelle 56'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:12'!
OC4
	| orden |
	orden := PurchaseOrder
		bid: 3
		price: 135
		date: (Date year: 2012 month: 1 day: 8)
		issuer: fabricaEmisores EM4
		receivingAddress: 'Huergo 1254'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:12'!
OC5
	| orden |
	orden := PurchaseOrder
		bid: 4
		price: 200
		date: (Date year: 2012 month: 1 day: 9)
		issuer: fabricaEmisores EM5
		receivingAddress: 'Montevideo 587'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:12'!
OC6
	| orden |
	orden := PurchaseOrder
		bid: 10
		price: 200
		date: (Date year: 2012 month: 1 day: 3)
		issuer: fabricaEmisores EM6
		receivingAddress: 'Libertador 145'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OV1
	| orden |
	orden := SalesOrder
		ask: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 4)
		issuer: fabricaEmisores EM7
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 2 day: 1).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:09'!
OV2
	| orden |
	orden := SalesOrder
		ask: 1
		price: 25
		date: (Date year: 2012 month: 1 day: 11)
		issuer: fabricaEmisores EM8
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 3).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OV3
	| orden |
	orden := SalesOrder
		ask: 3
		price: 75
		date: (Date year: 2012 month: 1 day: 12)
		issuer: fabricaEmisores EM9
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 2 day: 5).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OV4
	| orden |
	orden := SalesOrder
		ask: 3
		price: 180
		date: (Date year: 2012 month: 1 day: 10)
		issuer: fabricaEmisores EM12
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 9).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:12'!
OV5
	| orden |
	orden := SalesOrder
		ask: 1
		price: 60
		date: (Date year: 2012 month: 1 day: 5)
		issuer: fabricaEmisores EM13
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 23).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:16'!
OV6
	| orden |
	orden := SalesOrder
		ask: 1
		price: 45
		date: (Date year: 2012 month: 1 day: 6)
		issuer: fabricaEmisores EM11
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 5 day: 14).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OV7
	| orden |
	orden := SalesOrder
		ask: 2
		price: 60
		date: (Date year: 2012 month: 1 day: 13)
		issuer: fabricaEmisores EM10
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 2).
	^ orden! !

!FabricaOrdenesD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:19'!
initialize
	fabricaEmisores := FabricaEmisores new! !

Object subclass: #FabricaOrdenesD3
	instanceVariableNames: 'fabricaEmisores'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes3'!

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:23'!
OC1
	| orden |
	orden := PurchaseOrder
		bid: 1
		price: 50
		date: (Date year: 2012 month: 1 day: 1)
		issuer: fabricaEmisores EM1
		receivingAddress: 'Puerto Madero'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OC2
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 110
		date: (Date year: 2012 month: 1 day: 2)
		issuer: fabricaEmisores EM2
		receivingAddress: 'Aeroparque'
		shippingMethod: 'Avin'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:13'!
OC3
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 100
		date: (Date year: 2012 month: 1 day: 7)
		issuer: fabricaEmisores EM3
		receivingAddress: 'Isla Paulino Muelle 56'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OC4
	| orden |
	orden := PurchaseOrder
		bid: 3
		price: 165
		date: (Date year: 2012 month: 1 day: 8)
		issuer: fabricaEmisores EM4
		receivingAddress: 'Huergo 1254'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OC5
	| orden |
	orden := PurchaseOrder
		bid: 4
		price: 240
		date: (Date year: 2012 month: 1 day: 9)
		issuer: fabricaEmisores EM5
		receivingAddress: 'Montevideo 587'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OC6
	| orden |
	orden := PurchaseOrder
		bid: 10
		price: 400
		date: (Date year: 2012 month: 1 day: 3)
		issuer: fabricaEmisores EM6
		receivingAddress: 'Libertador 145'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OV1
	| orden |
	orden := SalesOrder
		ask: 2
		price: 40
		date: (Date year: 2012 month: 1 day: 4)
		issuer: fabricaEmisores EM7
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 2 day: 1).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:27'!
OV2
	| orden |
	orden := SalesOrder
		ask: 1
		price: 20
		date: (Date year: 2012 month: 1 day: 11)
		issuer: fabricaEmisores EM8
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 3).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OV3
	| orden |
	orden := SalesOrder
		ask: 3
		price: 60
		date: (Date year: 2012 month: 1 day: 12)
		issuer: fabricaEmisores EM9
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 2 day: 5).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OV4
	| orden |
	orden := SalesOrder
		ask: 3
		price: 120
		date: (Date year: 2012 month: 1 day: 10)
		issuer: fabricaEmisores EM10
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 9).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:29'!
OV5
	| orden |
	orden := SalesOrder
		ask: 1
		price: 40
		date: (Date year: 2012 month: 1 day: 5)
		issuer: fabricaEmisores EM11
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 23).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OV6
	| orden |
	orden := SalesOrder
		ask: 2
		price: 60
		date: (Date year: 2012 month: 1 day: 6)
		issuer: fabricaEmisores EM12
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 5 day: 14).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:14'!
OV7
	| orden |
	orden := SalesOrder
		ask: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 13)
		issuer: fabricaEmisores EM13
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 2).
	^ orden! !

!FabricaOrdenesD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:21'!
initialize
	fabricaEmisores := FabricaEmisores new! !

Object subclass: #FabricaOrdenesD4
	instanceVariableNames: 'fabricaEmisores'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes4'!

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:32'!
OC1
	| orden |
	orden := PurchaseOrder
		bid: 1
		price: 25
		date: (Date year: 2012 month: 1 day: 1)
		issuer: fabricaEmisores EM1
		receivingAddress: 'Puerto Madero'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:15'!
OC2
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 60
		date: (Date year: 2012 month: 1 day: 2)
		issuer: fabricaEmisores EM2
		receivingAddress: 'Aeroparque'
		shippingMethod: 'Avin'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:15'!
OC3
	| orden |
	orden := PurchaseOrder
		bid: 2
		price: 50
		date: (Date year: 2012 month: 1 day: 7)
		issuer: fabricaEmisores EM3
		receivingAddress: 'Isla Paulino Muelle 56'
		shippingMethod: 'Barco'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:15'!
OC4
	| orden |
	orden := PurchaseOrder
		bid: 3
		price: 90
		date: (Date year: 2012 month: 1 day: 8)
		issuer: fabricaEmisores EM4
		receivingAddress: 'Huergo 1254'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:17'!
OC5
	| orden |
	orden := PurchaseOrder
		bid: 4
		price: 140
		date: (Date year: 2012 month: 1 day: 9)
		issuer: fabricaEmisores EM5
		receivingAddress: 'Montevideo 587'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:17'!
OC6
	| orden |
	orden := PurchaseOrder
		bid: 10
		price: 200
		date: (Date year: 2012 month: 1 day: 3)
		issuer: fabricaEmisores EM6
		receivingAddress: 'Libertador 145'
		shippingMethod: 'Camin'.
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:18'!
OV1
	| orden |
	orden := SalesOrder
		ask: 2
		price: 90
		date: (Date year: 2012 month: 1 day: 4)
		issuer: fabricaEmisores EM7
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 2 day: 1).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:37'!
OV2
	| orden |
	orden := SalesOrder
		ask: 1
		price: 45
		date: (Date year: 2012 month: 1 day: 11)
		issuer: fabricaEmisores EM8
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 3).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:18'!
OV3
	| orden |
	orden := SalesOrder
		ask: 3
		price: 135
		date: (Date year: 2012 month: 1 day: 12)
		issuer: fabricaEmisores EM9
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 2 day: 5).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:19'!
OV4
	| orden |
	orden := SalesOrder
		ask: 3
		price: 180
		date: (Date year: 2012 month: 1 day: 10)
		issuer: fabricaEmisores EM10
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 9).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:39'!
OV5
	| orden |
	orden := SalesOrder
		ask: 1
		price: 60
		date: (Date year: 2012 month: 1 day: 5)
		issuer: fabricaEmisores EM11
		paymentMethod: 'Transferencia Bancaria'
		availabilityDate: (Date year: 2012 month: 2 day: 23).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:19'!
OV6
	| orden |
	orden := SalesOrder
		ask: 2
		price: 100
		date: (Date year: 2012 month: 1 day: 6)
		issuer: fabricaEmisores EM12
		paymentMethod: 'Contado'
		availabilityDate: (Date year: 2012 month: 5 day: 14).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 16:19'!
OV7
	| orden |
	orden := SalesOrder
		ask: 2
		price: 80
		date: (Date year: 2012 month: 1 day: 13)
		issuer: fabricaEmisores EM13
		paymentMethod: 'Cheque'
		availabilityDate: (Date year: 2012 month: 3 day: 2).
	^ orden! !

!FabricaOrdenesD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:22'!
initialize
	fabricaEmisores := FabricaEmisores new! !

TestCase subclass: #OrderBookTestD1
	instanceVariableNames: 'orderBook1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes1'!

!OrderBookTestD1 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/18/2012 01:40'!
setUp
	orderBook1 := OrderBook new.
	orderBook1
		addOrder: (Order bid: 4 price: 40);
		addOrder: (Order bid: 3 price: 30);
		addOrder: (Order bid: 2 price: 30);
		addOrder: (Order bid: 2 price: 25);
		addOrder: (Order bid: 1 price: 25);
		addOrder: (Order bid: 10 price: 20);
		addOrder: (Order ask: 1 price: 25);
		addOrder: (Order ask: 2 price: 25);
		addOrder: (Order ask: 3 price: 25);
		addOrder: (Order ask: 2 price: 30);
		addOrder: (Order ask: 2 price: 40);
		addOrder: (Order ask: 1 price: 60);
		addOrder: (Order ask: 3 price: 60);
		yourself! !

!OrderBookTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoCano 7/4/2012 11:19'!
testMarketPrice
	self should: [ orderBook1 marketPrice = 30 ]! !

!OrderBookTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 13:46'!
testTradingTickets
	self should: [ orderBook1 tradingTickets size = 2 ]! !

TestCase subclass: #PEMTestD1
	instanceVariableNames: 'fabricaOrdenes fabricaEmisores pem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes1'!

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/23/2012 12:34'!
setUp
	pem := PEM new.
	fabricaOrdenes := FabricaOrdenesD1 new.
	pem
		receiveOrder: fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/13/2012 18:16'!
tearDown
	fabricaOrdenes := nil! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:17'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 14:04'!
testEmisores
	"comment stating purpose of message"

	| tamao |
	fabricaEmisores := FabricaEmisores new.
	pem addEmisor: fabricaEmisores EM1.
	pem addEmisor: fabricaEmisores EM2.
	pem addEmisor: fabricaEmisores EM3.
	pem addEmisor: fabricaEmisores EM4.
	pem addEmisor: fabricaEmisores EM5.
	pem addEmisor: fabricaEmisores EM6.
	pem addEmisor: fabricaEmisores EM7.
	pem addEmisor: fabricaEmisores EM8.
	pem addEmisor: fabricaEmisores EM9.
	pem addEmisor: fabricaEmisores EM10.
	pem addEmisor: fabricaEmisores EM11.
	pem addEmisor: fabricaEmisores EM12.
	pem addEmisor: fabricaEmisores EM13.
	tamao := 13.
	self assert: pem issuers size = tamao! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/26/2012 11:07'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| precioMercadoEsperado precioMercadoCalculado |
	precioMercadoEsperado := 30.
	precioMercadoCalculado := pem marketPrice.
	self should: [ precioMercadoCalculado = precioMercadoEsperado ]! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 13:55'!
testRecepcionOrdenes
	"comment stating purpose of message"

	|   totalOrdenes numOrdenes |
	numOrdenes := 13.	
	totalOrdenes := pem totalOrders.
	self assert: totalOrdenes = numOrdenes! !

!PEMTestD1 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/23/2012 13:54'!
testTrading
	"Una vez definido el precio de mercado se le solicita al PEM comercializar las unidades terica disponibles haciendo un match entre la ordenes de compra y venta. Se verifica los trading tickets generados correspondan con	las ordenes de compra y venta esperadas."

	| ticketsEsperados tradingTickets |
	ticketsEsperados := 2.
	tradingTickets := pem tradingTickets.
	self should: [ ticketsEsperados = tradingTickets size ].
	"Ticket #1 OC2-OV1"
	self should: [ tradingTickets first purchaseOrder quantity = 2 ].
	self should: [ tradingTickets first purchaseOrder unitPrice = 30 ].
	self should: [ tradingTickets first salesOrder quantity = 2 ].
	self should: [ tradingTickets first salesOrder unitPrice = 25 ].
	self should: [ tradingTickets first marketPrice = 30 ].
	"Ticket #2 OC4-OV3"
	self should: [ (tradingTickets at: 2) purchaseOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) purchaseOrder unitPrice = 30 ].
	self should: [ (tradingTickets at: 2) salesOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) salesOrder unitPrice = 25 ].
	self should: [ (tradingTickets at: 2) marketPrice = 30 ]
	



! !

TestCase subclass: #PEMTestD2
	instanceVariableNames: 'fabricaOrdenes fabricaEmisores pem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes2'!

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/23/2012 12:35'!
setUp
	pem := PEM new.
	fabricaOrdenes := FabricaOrdenesD2 new.
	pem
		receiveOrder: fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7
	! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:46'!
tearDown
	fabricaOrdenes := nil! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:47'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 14:16'!
testEmisores
	"comment stating purpose of message"

	| pem listaEmisores tamano|

	tamano := 13.
     fabricaEmisores  := FabricaEmisores  new.
	pem := PEM new.	
	pem
		addEmisor:  fabricaEmisores EM1;
		addEmisor:  fabricaEmisores EM2;
		addEmisor:  fabricaEmisores EM3;
		addEmisor:  fabricaEmisores EM4;
		addEmisor:  fabricaEmisores EM5;
		addEmisor:  fabricaEmisores EM6;
		addEmisor:  fabricaEmisores EM7;
		addEmisor:  fabricaEmisores EM8;
		addEmisor:  fabricaEmisores EM9;
		addEmisor:  fabricaEmisores EM10;
		addEmisor:  fabricaEmisores EM11;
		addEmisor:  fabricaEmisores EM12;
		addEmisor:  fabricaEmisores EM13.
	listaEmisores  := pem issuers.
	self assert: listaEmisores size  = tamano! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/26/2012 11:07'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| precioMercadoEsperado precioMercadoCalculado |
	precioMercadoEsperado := 45.
	precioMercadoCalculado := pem marketPrice.
	self should: [ precioMercadoCalculado = precioMercadoEsperado ]! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 15:04'!
testRecepcionOrdenes
	"comment stating purpose of message"

	| pem totalOrdenes numOrdenes |
	
	numOrdenes := 13.
	fabricaOrdenes := FabricaOrdenesD2 new.
	pem := PEM new.
	pem
		receiveOrder:  fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7.
	      totalOrdenes := pem totalOrders.
		self assert: totalOrdenes = numOrdenes! !

!PEMTestD2 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/23/2012 13:55'!
testTrading
	"Una vez definido el precio de mercado se le solicita al PEM comercializar las unidades terica disponibles haciendo un match entre la ordenes de compra y venta. Se verifica los trading tickets generados correspondan con	las ordenes de compra y venta esperadas."

	| ticketsEsperados tradingTickets |
	ticketsEsperados := 2.
	tradingTickets := pem tradingTickets.
	self should: [ ticketsEsperados = tradingTickets size ].	
	"Ticket #1 OC2-OV1"
	self should: [ tradingTickets first purchaseOrder quantity = 2 ].
	self should: [ tradingTickets first purchaseOrder unitPrice = 45 ].
	self should: [ tradingTickets first salesOrder quantity = 2 ].
	self should: [ tradingTickets first salesOrder unitPrice = 25 ].
	self should: [ tradingTickets first marketPrice = 45 ].	
	"Ticket #2 OC4-OV3"
	self should: [ (tradingTickets at: 2) purchaseOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) purchaseOrder unitPrice = 45 ].
	self should: [ (tradingTickets at: 2) salesOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) salesOrder unitPrice = 25 ].
	self should: [ (tradingTickets at: 2) marketPrice = 45 ]! !

TestCase subclass: #PEMTestD3
	instanceVariableNames: 'fabricaOrdenes fabricaEmisores pem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes3'!

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/23/2012 12:35'!
setUp
	pem := PEM new.
	fabricaOrdenes := FabricaOrdenesD3 new.
	pem
		receiveOrder: fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 12:59'!
tearDown
	fabricaOrdenes := nil! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 13:00'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 14:17'!
testEmisores
	"comment stating purpose of message"

	| pem listaEmisores tamano|

	tamano := 13.
     fabricaEmisores  := FabricaEmisores  new.
	pem := PEM new.	
	pem
		addEmisor:  fabricaEmisores EM1;
		addEmisor:  fabricaEmisores EM2;
		addEmisor:  fabricaEmisores EM3;
		addEmisor:  fabricaEmisores EM4;
		addEmisor:  fabricaEmisores EM5;
		addEmisor:  fabricaEmisores EM6;
		addEmisor:  fabricaEmisores EM7;
		addEmisor:  fabricaEmisores EM8;
		addEmisor:  fabricaEmisores EM9;
		addEmisor:  fabricaEmisores EM10;
		addEmisor:  fabricaEmisores EM11;
		addEmisor:  fabricaEmisores EM12;
		addEmisor:  fabricaEmisores EM13.
	listaEmisores  := pem issuers.
	self assert: listaEmisores size  = tamano! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/26/2012 11:08'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| precioMercadoEsperado precioMercadoCalculado |
	precioMercadoEsperado := 40.
	precioMercadoCalculado := pem marketPrice.
	self should: [ precioMercadoCalculado = precioMercadoEsperado ]! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 15:05'!
testRecepcionOrdenes
	"comment stating purpose of message"

	| pem totalOrdenes numOrdenes |
	
	numOrdenes := 13.
	fabricaOrdenes := FabricaOrdenesD3 new.
	pem := PEM new.
	pem
		receiveOrder:  fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7.
	      totalOrdenes := pem totalOrders.
		self assert: totalOrdenes = numOrdenes! !

!PEMTestD3 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/23/2012 13:55'!
testTrading
	"Una vez definido el precio de mercado se le solicita al PEM comercializar las unidades terica disponibles haciendo un match entre la ordenes de compra y venta. Se verifica los trading tickets generados correspondan con	las ordenes de compra y venta esperadas."

	| ticketsEsperados num tradingTickets |
	ticketsEsperados := 4.
	tradingTickets := pem tradingTickets.
	self should: [ ticketsEsperados = tradingTickets size ].	
	"Ticket #1 OC2-OV1"
	self should: [ tradingTickets first purchaseOrder quantity = 2 ].
	self should: [ tradingTickets first purchaseOrder unitPrice = 55 ].
	self should: [ tradingTickets first salesOrder quantity = 2 ].
	self should: [ tradingTickets first salesOrder unitPrice = 20 ].
	self should: [ tradingTickets first marketPrice = 40 ].	
	"Ticket #2 OC4-OV3"
	self should: [ (tradingTickets at: 2) purchaseOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) purchaseOrder unitPrice = 55 ].
	self should: [ (tradingTickets at: 2) salesOrder quantity = 3 ].
	self should: [ (tradingTickets at: 2) salesOrder unitPrice = 20 ].
	self should: [ (tradingTickets at: 2) marketPrice = 40 ].	
	"Ticket #3 OC1-OV2"
	self should: [ (tradingTickets at: 3) purchaseOrder quantity = 1 ].
	self should: [ (tradingTickets at: 3) purchaseOrder unitPrice = 50 ].
	self should: [ (tradingTickets at: 3) salesOrder quantity = 1 ].
	self should: [ (tradingTickets at: 3) salesOrder unitPrice = 20 ].
	self should: [ (tradingTickets at: 3) marketPrice = 40 ].	
	"Ticket #4 OC3-OV7"
	self should: [ (tradingTickets at: 4) purchaseOrder quantity = 2 ].
	self should: [ (tradingTickets at: 4) purchaseOrder unitPrice = 50 ].
	self should: [ (tradingTickets at: 4) salesOrder quantity = 2 ].
	self should: [ (tradingTickets at: 4) salesOrder unitPrice = 25 ].
	self should: [ (tradingTickets at: 4) marketPrice = 40 ]! !

TestCase subclass: #PEMTestD4
	instanceVariableNames: 'fabricaOrdenes fabricaEmisores pem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest-Ordenes4'!

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/23/2012 12:35'!
setUp
	pem := PEM new.
	fabricaOrdenes := FabricaOrdenesD4 new.
	pem
		receiveOrder: fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 13:03'!
tearDown
	fabricaOrdenes := nil! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/17/2012 13:03'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 14:58'!
testEmisores
	"comment stating purpose of message"

	| pem listaEmisores tamano|

	tamano := 13.
     fabricaEmisores  := FabricaEmisores  new.
	pem := PEM new.	
	pem
		addEmisor:  fabricaEmisores EM1;
		addEmisor:  fabricaEmisores EM2;
		addEmisor:  fabricaEmisores EM3;
		addEmisor:  fabricaEmisores EM4;
		addEmisor:  fabricaEmisores EM5;
		addEmisor:  fabricaEmisores EM6;
		addEmisor:  fabricaEmisores EM7;
		addEmisor:  fabricaEmisores EM8;
		addEmisor:  fabricaEmisores EM9;
		addEmisor:  fabricaEmisores EM10;
		addEmisor:  fabricaEmisores EM11;
		addEmisor:  fabricaEmisores EM12;
		addEmisor:  fabricaEmisores EM13.
	listaEmisores  := pem issuers.
	self assert: listaEmisores size  = tamano! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/26/2012 11:08'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| precioMercadoEsperado precioMercadoCalculado |
	precioMercadoCalculado := pem marketPrice.
	self should: [ precioMercadoCalculado = precioMercadoEsperado ]! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'OLSA 7/17/2012 15:05'!
testRecepcionOrdenes
	"comment stating purpose of message"

	| pem totalOrdenes numOrdenes |
	
	numOrdenes := 13.
	fabricaOrdenes := FabricaOrdenesD4 new.
	pem := PEM new.
	pem
		receiveOrder:  fabricaOrdenes OC1;
		receiveOrder: fabricaOrdenes OC2;
		receiveOrder: fabricaOrdenes OC3;
		receiveOrder: fabricaOrdenes OC4;
		receiveOrder: fabricaOrdenes OC5;
		receiveOrder: fabricaOrdenes OC6;
		receiveOrder: fabricaOrdenes OV1;
		receiveOrder: fabricaOrdenes OV2;
		receiveOrder: fabricaOrdenes OV3;
		receiveOrder: fabricaOrdenes OV4;
		receiveOrder: fabricaOrdenes OV5;
		receiveOrder: fabricaOrdenes OV6;
		receiveOrder: fabricaOrdenes OV7.
	      totalOrdenes := pem totalOrders.
		self assert: totalOrdenes = numOrdenes! !

!PEMTestD4 methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/18/2012 14:12'!
testTrading
	"Una vez definido el precio de mercado se le solicita al PEM comercializar las unidades terica disponibles haciendo un match entre la ordenes de compra y venta. Se verifica los trading tickets generados correspondan con	las ordenes de compra y venta esperadas."

	| ticketsEsperados |
	ticketsEsperados := 0.
	self should: [ ticketsEsperados = pem tradingTickets size ]! !

TestCase subclass: #TheoreticalTradeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!TheoreticalTradeTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/18/2012 00:34'!
testPriceForMaximumTheoreticalAmount
	| mercado |
	mercado := TheoreticalTrade new.
	mercado
		addUnit: 10 demand: 1;
		addUnit: 20 demand: 2;
		addUnit: 10 supply: 3;
		addUnit: 20 supply: 4.
	self should: [ mercado priceForMaximumTheoreticalAmount = 20 ]! !
